import request from '@/utils/request'

// 新增关联表
export function addGenTable(data) {
  return request({
    url: '/boman-gen/genTableRelation',
    method: 'post',
    data
  })
}
// 修改关联表
export function setGenTable(data) {
  return request({
    url: '/boman-gen/genTableRelation',
    method: 'put',
    data
  })
}
// 删除关联表
export function delGenTable(tableId) {
  return request({
    url: '/boman-gen/genTableRelation/' + tableId,
    method: 'delete',
  })
}
// 查看关联表
export function qurGenTable(tableId) {
  return request({
    url: '/boman-gen/genTableRelation/' + tableId,
    method: 'get',
  })
}

// 关联表列表
export function tabList(query) {
  return request({
    url: '/boman-gen/genTableRelation/list',
    method: 'get',
    params: query
  })
}
// 查询生成表数据
export function listTable(query) {
  return request({
    url: '/code/gen/list',
    method: 'get',
    params: query
  })
}
// 查询db数据库列表
export function listDbTable(query) {
  return request({
    url: '/code/gen/db/list',
    method: 'get',
    params: query
  })
}

// 新增
export function addMenu(data) {
  return request({
    url: '/boman-gen/gen/addTable',
    method: 'post',
    data: data
  })
}

// 查询表详细信息
export function getGenTable(tableId) {
  return request({
    url: '/code/gen/' + tableId,
    method: 'get'
  })
}

// 查询表详细信息
export function listAllColumnsByTableId(data) {
  return request({
    url: '/boman-web-core/p/cs/table/listAllColumnsByTableId',
    method: 'post',
    data
  })
}
// 查询表HR详细信息
export function genTableColumnList(query) {
  return request({
    url: '/boman-gen/genTableColumn/list',
    method: 'get',
    params: query
  })
}

// 修改代码生成信息
export function updateGenTable(data) {
  return request({
    url: '/code/gen',
    method: 'put',
    data: data
  })
}

// 导入表
export function importTable(data) {
  return request({
    url: '/code/gen/importTable',
    method: 'post',
    params: data
  })
}

// 预览生成代码
export function previewTable(tableId) {
  return request({
    url: '/code/gen/preview/' + tableId,
    method: 'get'
  })
}

// 删除表数据
export function delTable(tableId) {
  return request({
    url: '/code/gen/' + tableId,
    method: 'delete'
  })
}
// 删除
export function delPost(id) {
  return request({
    url: '/genTableColumn/columnIds/' + id,
    method: 'delete'
  })
}

// 生成代码（自定义路径）
export function genCode(tableName) {
  return request({
    url: '/code/gen/genCode/' + tableName,
    method: 'get'
  })
}

// 同步数据库
export function synchDb(tableName) {
  return request({
    url: '/code/gen/synchDb/' + tableName,
    method: 'get'
  })
}

// 查询数据库sql
export function tableSql(id) {
  return request({
    url: '/boman-gen/tableSql/'+id,
    method: 'get',
  })
}
// 执行创建语句
export function zxImplement(data) {
  return request({
    url: '/boman-gen/tableSql/implement',
    method: 'post',
    data
  })
}
// 刷新创建语句
export function getReload(data) {
  return request({
    url: '/boman-gen/tableSql/reload',
    method: 'POST',
    data
  })
}
// 新增字段信息
export function addGenTableColumn(data) {
  return request({
    url: '/boman-gen/genTableColumn',
    method: 'POST',
    data
  })
}
// 删除字段信息
export function delGenTableColumn(id) {
  return request({
    url: '/boman-gen/genTableColumn/' + id,
    method: 'delete',
  })
}
// 修改字段信息
export function setGenTableColumn(data) {
  return request({
    url: '/boman-gen/genTableColumn',
    method: 'put',
    data
  })
}
// 获取字段信息
export function getGenTableColumn(tableId) {
  return request({
    url: '/boman-gen/genTableColumn/getColumnInfo/' + tableId,
    method: 'get',
  })
}
// 获取字段信息
export function getByIdWithForeignKey(tableId) {
  return request({
    url: '/boman-gen/genTableColumn/getByIdWithForeignKey/' + tableId,
    method: 'get',
  })
}
// 获取字段信息
export function getLoadTable() {
  return request({
    url: 'boman-gen/init/loadTable',
    method: 'get',
  })
}

// 获取快速查询  查询框数据/ */
export function tableQuery(data) {
  return request({
    url: '/boman-web-core/p/cs/getTableQuery',
    method: 'POST',
    data
  })
}

// 快速查询列表
export function listIndexfou(data) {
  return request({
    url: '/boman-web-core/p/cs/queryList',
    method: 'post',
    data: data
  })
}

// 时间相差
export function listIndextime(data) {
  return request({
    url: '/boman-web-core/attendance/calcTime',
    method: 'post',
    data: data
  })
}
